.col-full:has(.hapoel-category-hero) {
    max-width: inherit;
    padding: 0;
}

.hapoel-category-hero {
    display: flex;
    align-items: center;
    min-height: 330px;
    position: relative;
    margin-bottom: 40px;
}

.hapoel-category-hero__banner {
    position: absolute;
    inset: 0;
}

.hapoel-category-hero__banner img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.hapoel-category-hero__inner {
    position: relative;
}

.hapoel-category-hero__title {
    font-size: 52px;
    font-family: "RAG Sans", "sans-serif";
    line-height: 1;
    font-weight: 600;
    margin-bottom: 0;
}

.hapoel-category-hero .hapoel-category-hero__title {
    color: #fff;
}

.hapoel-category-header {
    margin-bottom: 60px;
    margin-top: 20px;
}

.hapoel-category-header .woocommerce-breadcrumb{
    color: #000;
    padding: 0 0 14px;
}


.hapoel-category-hero__inner .woocommerce-breadcrumb {
    padding: 0 0 14px;
    color: #fff;
    font-family: "RAG Sans", "sans-serif";
    font-weight: 600;
}

.hapoel-category-hero .woocommerce-breadcrumb a,
.hapoel-category-hero .woocommerce-breadcrumb span {
    color: #fff;
    text-decoration-color: white;
}

.hapoel-category-hero__inner .woocommerce-breadcrumb a {
    font-weight: 400;
}

.hapoel-pagination {
    margin-top: 60px;
}

.hapoel-pagination__list {
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 8px;
    list-style: none;
    margin: 0;
}

.hapoel-pagination__item {
    width: 40px;
    height: 40px;
}

.hapoel-pagination__item.is-disabled {
    display: none;
}

.hapoel-pagination__item .page-numbers {
    display: flex;
    align-items: center;
    justify-content: center;
    width: 100%;
    height: 100%;
    border: 1px solid transparent;
    border-radius: 50%;
    color: var(--hapoel-color-throat);
    transition: 0.4s ease;
    font-weight: 600;
}

.hapoel-pagination__item .page-numbers:not(.next):not(.prev):hover,
.hapoel-pagination__item .page-numbers:not(.next):not(.prev):focus {
  border-color: var(--hapoel-color-throat);
}

.hapoel-pagination__item .page-numbers.current {
    border-color: var(--hapoel-color-torch-red);
    color: var(--hapoel-color-torch-red);
}

.hapoel-pagination__item svg path {
    transition: stroke 0.4s ease, fill 0.4s ease;
}

.hapoel-pagination__item:not(.is-disabled) .next:hover svg path:first-child,
.hapoel-pagination__item:not(.is-disabled) .prev:hover svg path:first-child {
    stroke: var(--hapoel-color-torch-red);
}

.hapoel-pagination__item:not(.is-disabled) .next:hover svg path:last-child,
.hapoel-pagination__item:not(.is-disabled) .prev:hover svg path:last-child {
    fill: var(--hapoel-color-torch-red);
}

:dir(ltr) .hapoel-pagination__item.is-prev,
:dir(ltr) .hapoel-pagination__item.is-next {
    transform: rotate(180deg);
}

/* WOOCOMMERCE SORTING START */
.hapoel-category-content .shoptimizer-sorting {
    display: flex;
    align-items: center;
    justify-content: space-between;
    margin-bottom: 32px;
    gap: 20px;
    margin-top: 0;
}

.hapoel-category-content .shoptimizer-sorting .woocommerce-ordering {
    margin: 0;
    width: auto;
}

.hapoel-category-content .shoptimizer-sorting .woocommerce-notices-wrapper {
    display: none;
}

.hapoel-category-content .shoptimizer-sorting .choices {
    margin-bottom: 0;
}

.hapoel-category-content .shoptimizer-sorting .choices[data-type*=select-one]::after {
    width: 20px;
    height: 20px;
    border: none;
    background-color: #241d3a;
    -webkit-mask-image: url("data:image/svg+xml;charset=utf8,%3Csvg xmlns='http://www.w3.org/2000/svg' width='21' height='12' viewBox='0 0 21 12'%3E%3Cpath fill-rule='evenodd' clip-rule='evenodd' d='M-4.5522e-07 1.41391L10.4142 11.8281L20.8284 1.41391L19.4142 -0.000296488L10.4142 8.99969L1.41421 -0.000295701L-4.5522e-07 1.41391Z' fill='black'/%3E%3C/svg%3E");
    mask-image: url("data:image/svg+xml;charset=utf8,%3Csvg xmlns='http://www.w3.org/2000/svg' width='21' height='12' viewBox='0 0 21 12'%3E%3Cpath fill-rule='evenodd' clip-rule='evenodd' d='M-4.5522e-07 1.41391L10.4142 11.8281L20.8284 1.41391L19.4142 -0.000296488L10.4142 8.99969L1.41421 -0.000295701L-4.5522e-07 1.41391Z' fill='black'/%3E%3C/svg%3E");
    mask-repeat: no-repeat;
    -webkit-mask-size: contain;
    mask-size: contain;
    transform: translateY(-50%);
    mask-position: center;
    margin-top: 0;
}

.hapoel-category-content .shoptimizer-sorting .choices[data-type*=select-one].is-open::after {
    rotate: 180deg;
    margin-top: -22px;
}

:dir(rtl) .hapoel-category-content .shoptimizer-sorting .choices[data-type*=select-one]::after {
    right: unset;
    left: 20px;
}

:dir(ltr) .hapoel-category-content .shoptimizer-sorting .choices[data-type*=select-one]::after {
    left: unset;
    right: 20px;
}

.hapoel-category-content .shoptimizer-sorting .choices[data-type*=select-one] .choices__inner {
    padding: 10px 20px;
    border-radius: 100px;
    border: 1px solid #E9E7F2;
    background: transparent;
    min-height: 50px;
    display: flex;
    align-items: center;
    transition: 0.4s ease;
    font-size: 18px;
    font-weight: 600;
    min-width: 210px;
}

.hapoel-category-content .shoptimizer-sorting .choices[data-type*=select-one] .choices__inner:hover {
    border-color: black;
}

.hapoel-category-content .shoptimizer-sorting .choices[data-type*=select-one] .choices__list--single {
    padding: 0 0 0 40px;
}

[dir="ltr"] .hapoel-category-content .shoptimizer-sorting .choices[data-type*=select-one] .choices__list--single {
    padding: 0 40px 0 0;
}

.hapoel-category-content .shoptimizer-sorting .choices[data-type*=select-one] .choices__list--dropdown {
    border-radius: 16px;
    top: 110%;
    min-height: 200px;
    border-color: #e9e7f2 !important;
}

.hapoel-category-content .shoptimizer-sorting .choices .choices__item--choice {
    padding: 15px 20px;
    font-size: 16px;
    line-height: 1.2;
}

.hapoel-category-content .shoptimizer-sorting .choices .is-highlighted {
    background-color: #efefef;
}

/* WOOCOMMERCE SORTING END */


/* WOOCOMMERCE FILTER START */

.mobile-filter.shoptimizer-mobile-toggle {
    display: none !important;
}

.hapoel-filter__button {
    display: flex;
    align-items: center;
    gap: 10px;
    padding: 10px 20px;
    min-height: 50px;
    border: 1px solid #E9E7F2;
    border-radius: 100px;
    cursor: pointer;
    transition: 0.4s ease;
    font-weight: 600;
    font-size: 18px;
}

.hapoel-filter__button:hover {
    border-color: black;
}

.hapoel-sidebar {
    overflow: hidden;
    position: fixed;
    z-index: 102;
    top: 0;
    left: -450px;
    right: auto;
    width: 450px;
    height: 100%;
    background-color: #fff;
    transition: 0.35s;
}

.hapoel.sidebar-open .hapoel-sidebar {
    left: 0;
}

.sidebar-open {
    height: 100%;
    overflow: hidden;
}

.sidebar-open::before {
        content: "";
        display:block;
        position: absolute;
        z-index: 100;
        top: 0;
        left: 0;
        width: 100%;
        height: 1000%;
        background: rgba(0, 0, 0, 0.3);
        cursor: pointer;
        transition: opacity 0.5s,visibility 0.5s
}

.hapoel-sidebar__heading {
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 28px 32px;
    font-size: 22px;
    font-weight: 600;
    font-family: "RAG Sans", sans-serif;
    border-bottom: 1px solid #e9e7f2;
}

.hapoel-sidebar__close {
    width: 26px;
    height: 26px;
    padding: 0;
    display: flex;
    align-items: center;
    justify-content: center;
    color: black;
}

.hapoel-sidebar__list {
    display: flex;
    flex-direction: column;
    gap: 30px;
    padding: 24px 24px 32px;
    overflow-y: auto;
    height: calc(100% - 85px);
}

.hapoel-sidebar__reset.button {
    width: 100%;
}

.hapoel-sidebar__list ul {
    display: flex;
    flex-direction: column;
    gap: 8px;
    padding-inline-start: 20px;
    border-right: 1px solid #F3F2F6;
}

[dir="ltr"] .hapoel-sidebar__list ul {
    padding-left: 20px;
    padding-right: 0;
    border-left: 1px solid #F3F2F6;
    border-right: none;
}

.hapoel-sidebar .widget-title {
    font-size: 18px;
    font-weight: 600 !important;
    color: var(--hapoel-color-throat);

}

.hapoel-sidebar .price_slider_wrapper {
    padding-inline-start: 20px;
    border-right: 1px solid #F3F2F6;
}

[dir="ltr"] .hapoel-sidebar .price_slider_wrapper {
    padding-left: 20px;
    padding-right: 10px;
    border-left: 1px solid #F3F2F6;
    border-right: none;
}

.hapoel-sidebar .price_slider_wrapper .price_slider .ui-slider-handle {
    width: 20px;
    height: 20px;
    border-radius: 50%;
    border: none;
    background: #fff;
    box-shadow:
  0px 1px 2px 0px rgba(0, 0, 0, 0.30),
  0px 1px 3px 1px rgba(0, 0, 0, 0.15);
}

.hapoel-sidebar .price_slider_wrapper .price_slider_amount {
    flex-wrap: wrap;
    gap: 20px;
}

.hapoel-sidebar .price_slider_wrapper .button {
    font-size: 12px;
    min-width: 85px;
    min-height: unset;
    padding: 4px 11px;
}

.hapoel-sidebar .price_slider_wrapper .price_label {
    display: flex;
    align-items: center;
    justify-content: space-between;
    width: 100%;
}

.hapoel-sidebar .price_slider_wrapper .price_label .from,
.hapoel-sidebar .price_slider_wrapper .price_label .to {
    display: flex;
    align-items: center;
    justify-content: center;
    min-height: 32px;
    min-width: 85px;
    gap: 4px;
    border-radius: 100px;
    border: 1px solid #E9E7F2;
    font-family: "RAG Sans", sans-serif;
    font-weight: 600;
    font-size: 18px;
}

.hapoel-sidebar .widget_product_categories {
    padding: 0;
}

.hapoel-sidebar a {
    color: var(--hapoel-color-throat);
    font-size: 18px;
}

.hapoel-sidebar a:hover {
    color: var(--hapoel-color-torch-red);
}

.hapoel-sidebar .widget.woocommerce li .count {
    display: none;
}

.hapoel-sidebar .widget_layered_nav ul li:before {
    display: none;
}

.hapoel-sidebar  .widget li {
    margin-bottom: 0;
    line-height: 1.6;
}

.hapoel-sidebar  .widget li.current-cat a,
.hapoel-sidebar  .widget li.chosen a {
    color: var(--hapoel-color-torch-red);
    font-weight: 600;
}

/* WOOCOMMERCE FILTER END */


/* LISTING START */

.hapoel-category-content .content-area {
    float: unset;
    width: 100%;
}


.hapoel-category-content .products {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    gap: 32px 20px;
    margin: 0;
    width: 100%;
}

/* LISTING END */


@media screen and (max-width: 767.9px) {
    .hapoel-category-content .hapoel-container {
        padding: 0 10px;
    }
    
    .hapoel-category-content .shoptimizer-sorting .woocommerce-ordering {
        flex: 1;
    }

    .hapoel-category-content .shoptimizer-sorting .choices {
        width: 100%;
    }

    .hapoel-sidebar {
        width: 100%;
        left: -100%;
    }

    .hapoel-sidebar__list {
        height: calc(100% - 55px);
    }

    .hapoel-category-hero {
        margin-bottom: 20px;
        min-height: 150px;
    }

    .hapoel-category-content .shoptimizer-sorting {
        margin-bottom: 20px;
    }

    :dir(ltr) .hapoel-category-content .shoptimizer-sorting {
        flex-direction: column;
        align-items: flex-start;
    }

    :dir(ltr) .hapoel-category-content .shoptimizer-sorting > * {
        width: max-content;
        max-width: 100%;
    }

    .hapoel-sidebar__heading {
        padding: 15px 24px;
        font-size: 18px;
    }

    .hapoel-sidebar .widget-title {
        font-size: 16px;
    }

    .hapoel-sidebar a {
        font-size: 14px;
    }

    .hapoel-pagination {
        margin-top: 30px;
    }

    .hapoel-category-content .shoptimizer-sorting .choices[data-type*=select-one] .choices__inner {
        font-size: 14px;
    }

    .hapoel-filter__button {
        font-size: 14px;
    }
}

@media screen and (max-width: 992.9px) {
    .hapoel-category-content .products .hapoel-price {
        font-size: 22px;
        column-gap: 6px;
    }

    .hapoel-category-content .products .hapoel-slider-product-content h3 {
        font-size: 16px;
        margin: 0 0 6px;
    }
}

@media screen and (max-width: 767.9px) {
    .hapoel-category-content .products {
        grid-template-columns: 1fr;
    }
}